class Component < Item
  
  include LayoutSupport
    
  key :engine_name, String
  key :layout_name, String, :required => true
  key :layout_id, ObjectId, :required => true
  
  belongs_to :layout
  
  protected
  
  def setup_default_value
    super
    
    if self.layout_name
      self.layout_id = Layout.find_by_name( self.layout_name ).id
    end
    
  end
    
end